# Basicos
alias \
        x='xui' \
	m='neomutt' \
	vv='nvi' \
	bc='bc -iq' \
	se='doas nvim ' \
	am='alsamixer' \
	pm='pulsemixer' \
	py='python ' \
	mc='mc -u' \
        irc='irssi --config="$XDG_CONFIG_HOME"/irssi/config --home="$XDG_DATA_HOME"/irssi' \
	ytv='pipe-viewer' \
	vdf='nvim -d ' \
	vkl='vkpurge list'

# XBPS
alias \
	xk='xbps-query' \
	deps='xbps-query -vRx' \
	revdeps='xbps-query -vRX' \
	xp='xpkg -m > ~/.config/xbpaketes'

# Tmux
alias tmux='tmux -2'
if [[ -n $TMUX ]]; then
	alias txa='tmux switch-client -t'
else
	alias txa='tmux attach-session -t'
fi
alias \
	txn='tmux new-session -s' \
	txk='tmux kill-session -t' \
	txz='tmux kill-server'

# Transmission
alias \
	tsk='pkill transmission-da' \
	ts='transmission-remote' \
	tsl='transmission-remote --list'

# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias \
	chmod='chmod -v' \
	chown='chown -v' \
	mv='mv -iv' \
	rmdir='rmdir -v' \
	mkdir='mkdir -pv' \
	cp='cp -raiv' \
	rm='rm -Iv' \
	ln='ln -iv' \
	mount='mount -v' \
	umount='umount -v'

# Colores para pintar este twist
alias \
	diff='diff --color=auto' \
	ls='ls -AFt --color=always --group-directories-first' \
	grep='grep --color=tty -d skip' \
	dmesg='dmesg --color=always' \
	ip='ip -c'

# Con opciones por defecto
alias \
	ll='ls -coghptFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"' \
	sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS}' \
	df='df -hT --total' \
	free='free -ht' \
	du='du -sh' \
	ping='ping -c 5' \
	dd='dd status=progress' \
	dfc='dfc -dmT' \
	wget='wget --no-hsts'

# Comandos
alias \
	reboot='doas shutdown -r now' \
	shutdown='doas shutdown -h now' \
	path='echo -e ${PATH//:/\\n}' \
	pwn='chmod +x' \
	rat='tar -xf' \
	um='udevil mount' \
	uu='udevil umount'
